summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jeremy Hansen2016-12-30 09:14:10 +0100
committer Willy Sudiarto Raharjo2016-12-31 02:22:20 +0100
commitb7757913958da46484e3e88f353a29fc08e0e90a (patch)
tree5d3f874faa5aa28725650ca62cf33da5fb10be9b
parent24f9d15c6da0b62f38025f432d5769616e520501 (diff)
downloadslackbuilds-b7757913958da46484e3e88f353a29fc08e0e90a.tar.gz
network/transgui: Added (GUI for remotely control transmission).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/transgui/README6
-rw-r--r--network/transgui/slack-desc19
-rw-r--r--network/transgui/transgui.SlackBuild95
-rw-r--r--network/transgui/transgui.info10
4 files changed, 130 insertions, 0 deletions
diff --git a/network/transgui/README b/network/transgui/README
new file mode 100644
index 0000000000..2fbf0f3808
--- /dev/null
+++ b/network/transgui/README
@@ -0,0 +1,6 @@
+transgui (front-end to remotely control transmission)
+
+Transmission Remote GUI is a feature rich cross platform front-end to
+remotely control a Transmission Bit-Torrent client daemon via its RPC
+protocol. Transmission Remote GUI is faster and has more functionality
+than the built-in Transmission web interface.
diff --git a/network/transgui/slack-desc b/network/transgui/slack-desc
new file mode 100644
index 0000000000..49ed149ae8
--- /dev/null
+++ b/network/transgui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+transgui: transgui (front-end to remotely control transmission)
+transgui:
+transgui: Transmission Remote GUI is a feature rich cross platform front-end to
+transgui: remotely control a Transmission Bit-Torrent client daemon via its RPC
+transgui: protocol. Transmission Remote GUI is faster and has more functionality
+transgui: than the built-in Transmission web interface.
+transgui:
+transgui: HOMEPAGE: https://github.com/leonsoft-kras/transmisson-remote-gui
+transgui:
+transgui:
+transgui:
diff --git a/network/transgui/transgui.SlackBuild b/network/transgui/transgui.SlackBuild
new file mode 100644
index 0000000000..fe4fa85989
--- /dev/null
+++ b/network/transgui/transgui.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for transgui
+
+# Copyright 2016 Jeremy Brent Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=transgui
+SRCNAM=transmisson-remote-gui
+VERSION=${VERSION:-5.5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Build transgui
+lazbuild "transgui.lpi" --lazarusdir=/usr/share/lazarus --widgetset=gtk2
+
+# Install transgui manually since the build system doesn't support targets
+install -D -m 755 units/transgui $PKG/usr/bin/transgui
+
+mkdir -p $PKG/usr/share/$PRGNAM/lang
+cp lang/transgui.* $PKG/usr/share/$PRGNAM/lang/
+rm $PKG/usr/share/$PRGNAM/lang/transgui.template
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING.txt COPYING.FPC LICENSE.txt VERSION.txt history.txt readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/transgui/transgui.info b/network/transgui/transgui.info
new file mode 100644
index 0000000000..04c55440df
--- /dev/null
+++ b/network/transgui/transgui.info
@@ -0,0 +1,10 @@
+PRGNAM="transgui"
+VERSION="5.5.0"
+HOMEPAGE="https://github.com/leonsoft-kras/transmisson-remote-gui/"
+DOWNLOAD="https://github.com/leonsoft-kras/transmisson-remote-gui/archive/v5.5.0/transgui-5.5.0.tar.gz"
+MD5SUM="32a73e11b0a044c8b76f816e8f551401"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="lazarus"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"